--- gnorpm-0.9/verify.c.rpm304	Tue Jun 29 04:59:19 1999
+++ gnorpm-0.9/verify.c	Wed Dec 15 15:28:29 1999
@@ -87,7 +87,11 @@
     headerGetEntry(h, RPMTAG_RELEASE, NULL, (void **)&s3, NULL);
     g_snprintf(buf1, 511, "%s-%s-%s", s1, s2, s3);
     gtk_label_set(GTK_LABEL(pkg_name), buf1);
+#if defined(RPMTAG_OLDFILENAMES)
+    rpmBuildFileList(h, &files, &count);
+#else
     headerGetEntry(h, RPMTAG_FILENAMES, NULL, (void **)&files, &count);
+#endif
     if (files) {
       for (i = 0; i < count; i++) {
 	gtk_label_set(GTK_LABEL(fname), files[i]);
--- gnorpm-0.9/rpmdentry.c.rpm304	Fri May 28 22:59:38 1999
+++ gnorpm-0.9/rpmdentry.c	Wed Dec 15 15:31:30 1999
@@ -158,7 +158,11 @@
 
   /* pick largest executable in package as the main executable
    * maybe I should take path into account? */
+#if defined(RPMTAG_OLDFILENAMES)
+  rpmBuildFileList(h, &strlist, &len);
+#else
   headerGetEntry(h, RPMTAG_FILENAMES, NULL, (void**)&strlist, &len);
+#endif
   headerGetEntry(h, RPMTAG_FILESIZES, NULL, (void**)&sizes, &len);
   headerGetEntry(h, RPMTAG_FILEMODES, NULL, (void**)&modes, &len);
   max = -1;
--- gnorpm-0.9/rpmquery.c.rpm304	Tue Jun  1 12:20:21 1999
+++ gnorpm-0.9/rpmquery.c	Wed Dec 15 15:28:29 1999
@@ -629,7 +629,13 @@
 
   gtk_clist_freeze(GTK_CLIST(self->files));
   gtk_clist_clear(GTK_CLIST(self->files));
-  if (!headerGetEntry(h, RPMTAG_FILENAMES, NULL, (void **)&path, &count)) {
+#if defined(RPMTAG_OLDFILENAMES)
+  rpmBuildFileList(h, &path, &count);
+  if (path == NULL && count == 0)
+#else
+  if (!headerGetEntry(h, RPMTAG_FILENAMES, NULL, (void **)&path, &count))
+#endif
+  {
     gtk_clist_thaw(GTK_CLIST(self->files));
     return;
   }
